Redmine - Defect #2936

500 Internal server error
2009-03-09 10:29 - Amos Yang

Status: Closed 2009-03-09
Priority: Normal

Assignee:

Category: Estimated time: 0.00 hour

Target version:

Resolution: Invalid

Affected version:

Description

1. Logdfile created on Mon Mar 09 17:30:08 +0800 2009 [4;36;1mSQL (0.0ms)[Om [0;1mSET NAMES 'utf8'[0m

[4;35;1mSQL (0.0ms)[0m [OmSET SQL_AUTO_IS_NULL=0[0m

/N FAILSAFE /\ Mon Mar 09 17:30:29 +0800 2009

Status: 500 Internal Server Error

A secret is required to generate an integrity hash for cookie session data. Use config.action_controller.session = { :session_key
=>"_myapp_session", :secret => "some secret phrase of at least 30 characters" } in config/environment.rb
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/session/cookie_store.rb:91:in “ensure_secret_secure'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/session/cookie_store.rb:59:in “initialize'
C:/Ruby/lib/ruby/1.8/cgi/session.rb:273:in “new'

C:/Ruby/lib/ruby/1.8/cgi/session.rb:273:in “initialize_without_cgi_reader'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/cgi_ext/session.rb:19:in “initialize'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/cgi_process.rb:94:in “new'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/cgi_process.rb:94:in “session’
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/cgi_process.rb:130:in “stale_session_check!'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/cgi_process.rb:78:in “session’
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:1205:in “assign_shortcuts_without_flash'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/flash.rb:166:in “assign_shortcuts'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:519:in “process_without_filters'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/filters.rb:606:in
‘process_without_session_management_support'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/session_management.rb:134:in "process’
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/base.rb:392:in “process'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:183:in “handle_request'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:110:in “dispatch_unlocked'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:123:in “dispatch'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:122:in “synchronize'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:122:in “dispatch'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:132:in “dispatch_cgi'
C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_controller/dispatcher.rb:39:in “dispatch’
C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/webrick_server.rb:103:in “handle_dispatch’
C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/webrick_server.rb:74:in “service'
C:/Ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in “service'

C:/Ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in “run'

C:/Ruby/lib/ruby/1.8/webrick/server.rb:173:in “start_thread'

C:/Ruby/lib/ruby/1.8/webrick/server.rb:162:in “start'

C:/Ruby/lib/ruby/1.8/webrick/server.rb:162:in “start_thread'

C:/Ruby/lib/ruby/1.8/webrick/server.rb:95:in “start'

C:/Ruby/lib/ruby/1.8/webrick/server.rb:92:in “each’

C:/Ruby/lib/ruby/1.8/webrick/server.rb:92:in “start'

C:/Ruby/lib/ruby/1.8/webrick/server.rb:23:in “start'

C:/Ruby/lib/ruby/1.8/webrick/server.rb:82:in “start'
C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/webrick_server.rb:60:in “dispatch’
C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/commands/servers/webrick.rb:66
C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in ‘gem_original_require'
C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in ‘require’
C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:153:in “require’
C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:521:in "new_constants_in
C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:153:in “require’
C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.2.2/lib/commands/server.rb:49
C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in ‘gem_original_require'

2025-05-04 1/2




C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in ‘require’
script/server:3

History

#1 - 2009-03-09 10:29 - Amos Yang
Version is 2570

#2 - 2009-03-09 11:42 - Jean-Baptiste Barth

See this news
The message is quite clear : "A secret is required to generate an integrity hash for cookie session data."
you can generate this secret key by a rake task : rake config/initializers/session_store.rb

#3 - 2009-03-09 18:28 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Jean-Baptiste is right.
